Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1441625 (CVE-2017-7609) - CVE-2017-7609 elfutils: Memory allocation failure in elf_compress.c
Summary: CVE-2017-7609 elfutils: Memory allocation failure in elf_compress.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-7609
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1441630
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-12 11:18 UTC by Andrej Nemec
Modified: 2019-09-29 14:09 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-12 11:28:43 UTC
Embargoed:


Attachments (Terms of Use)

Description Andrej Nemec 2017-04-12 11:18:04 UTC
elf_compress.c in elfutils does not validate the zlib compression factor, which allows attackers to cause a denial of service (memory consumption) via a crafted ELF file.

Upstream bug:

https://sourceware.org/bugzilla/show_bug.cgi?id=21301

Upstream patch:

https://sourceware.org/ml/elfutils-devel/2017-q1/msg00114.html

References:

https://blogs.gentoo.org/ago/2017/04/03/elfutils-memory-allocation-failure-in-__libelf_decompress-elf_compress-c/

Comment 1 Andrej Nemec 2017-04-12 11:26:22 UTC
Created elfutils tracking bugs for this issue:

Affects: fedora-all [bug 1441630]


Note You need to log in before you can comment on or make changes to this bug.